<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<?php
wp_enqueue_script( 'jscolor_woo.js', WOO2APP_JS_URL . 'jscolor_woo.js', array( 'jquery' ) );
wp_register_style( 'select2.min.css', WOO2APP_CSS_URL . 'select2.min.css' );
wp_enqueue_style( 'select2.min.css' . WOO2APP_FILES_VER );
wp_enqueue_script( 'select2.min.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'select2.min.js' );

$intro = get_option( 'mr2app_advertising' );
if ( ! is_array( $intro ) ) {
	$intro = array(
		'display' => false,
		'images'  => array()
	);
	update_option( 'mr2app_advertising', $intro );
}
if ( isset( $_POST['banner'] ) ) {
	$display          = isset( $_POST['display'] );
	$intro['display'] = $display;
	if ( ! empty( $_POST['src_val'] ) ) {
		$image = $_POST['src_val'];
		$type  = $_POST['type'];
		$value = $_POST['link'];
		if ( $type === 'product' ) {
			$value = $_POST['product'];
		}
		$intro['images'][] = array(
			'id'    => uniqid(),
			'src'   => $image,
			'type'  => $type,
			'value' => $value,
		);
	}
	$r = update_option( 'mr2app_advertising', $intro );
	if ( $r ) {
		echo "<p style='color:green'>" . "تغییرات با موفقیت انجام شد." . '</p>';
	}
}
if ( isset( $_POST['idForRemove'] ) ) {
	$array = array();
	foreach ( $intro['images'] as $img ) {
		if ( $img['id'] === $_POST['idForRemove'] ) {
			continue;
		}
		$array[] = $img;
	}
	$intro['images'] = $array;
	$r               = update_option( 'mr2app_advertising', $intro );
	if ( $r ) {
		echo "<p style='color:green'>" . "تغییرات با موفقیت انجام شد." . '</p>';
	}
}


?>
<form action="" id="update_form" method="post">
    <div style="float:right;width: 100%;">
        <h3 style="background-color: #e5e5e5;padding: 7px">
            بنر های تبلیغاتی
        </h3>
        <table class="form-table" style="direction: rtl">
            <tbody>
            <tr>
                <th>
                    فعال
                </th>
                <td>
                    <input name="banner" type="hidden">
                    <input type="checkbox" name="display" <?= checked( $intro['display'] ) ?> />
                </td>
            </tr>
            <tr>
                <td class="forminp">
                    <input type="submit" value="ذخیره" class="button button-primary" name="submit_banner">
                </td>
            </tr>
            </tbody>
        </table>
        <div style="clear:both"></div>
        <hr>
        <table class="form-table" style="direction: rtl">
            <tbody>

            <tr>
                <th>
                    نوع
                </th>
                <td>
                    <select onclick="changeAction(this)" class="regular-text" name="type">
                        <option value="link"> لینک</option>
                        <option value="product"> محصول</option>
                    </select>
                </td>
            </tr>
            <tr class="trAction" id="trLink">
                <th>
                    لینک
                </th>
                <td>
                    <input name="link" placeholder="http:example.com" dir="ltr" class="regular-text"/>
                    <input type="hidden" id="txt_url_item_hami" value="" name="src_val">
                </td>
            </tr>
            <tr class="trAction hide" id="trProduct">
                <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
                <td>
                    <select name="product" data-id="product"
                            data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                            id="value_post_items_menu4"
                            class="js-data-example-ajax regular-text">
                    </select>
                </td>
            </tr>
            <tr>
                <th>
                    -----
                </th>
                <td>
                    <div style="width:200px;">
                        <small>
                            حداکثر حجم پیشنهادی تصویر : 150KB
                            <hr>
                            فرمت تصاویر : PNG - JPG - JPEG - GIF
                        </small>
                    </div>
                </td>
            </tr>
            <tr>
                <th>
                    -----
                </th>
                <td>
                    <button id="div_image_item_hami" type="button" style="float: right;" class="button"> برای آپلود عکس
                        جدید
                        کلیلک کنید
                    </button>
                    <img style="width:25px;height:25px;display: none" id="img_load1"
                         src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</form>

<div style="width: 100%;float: right">
    <div style="margin-top: 50px">
        <form method="post" id="sort_form">
            <input type="hidden" name="idForRemove" id="inputIdForRemove">
            <ul class="">
				<?php
				$i = 0;
				foreach ( $intro['images'] as $img ) {
					$i ++;
					?>
                    <li style="margin-top: 20px;position:relative;margin-right:10px;width: 200px"
                        id="li_<?= $i ?>">
                        <img id="img_<?= $i ?>" style="color:red;width: 200px;"
                             src="<?= $img['src'] ?>"/>
                        <img style="display: none;position:absolute;left: 30%;top: 50%;width:25px;height:25px"
                             src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . "/../files/img/load.gif" ?>"/>
                        <input type="hidden" value="<?= $img['id'] ?>" name="sort_src[]">
                        <a class="button" style="color: red;position: absolute;bottom: -10px;right: 37%"
                           onclick="delete_image('<?= $img['id'] ?>')"> حذف </a>
                    </li>
					<?php
				}
				?>
            </ul>
        </form>
    </div>
</div>

<?php
wp_enqueue_media();
wp_enqueue_script( 'loadajax.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'loadAjaxPosts.js', array( 'jquery' ) );

?>
<script>

    function changeAction(e) {
        jQuery('.trAction').addClass('hide');
        if (e.value === 'link') {
            jQuery('#trLink').removeClass('hide');
        } else if (e.value === 'product') {
            jQuery("#trProduct").removeClass('hide');
        }
    }

    var custom_uploader_hami;
    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function () {
            jQuery("#img_load1").attr('style', 'position: absolute;  left: 30%;  top: 50%;width:25px;height:25px;display: block')
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami').val(attachment.url);
            url_image = attachment.url;

            jQuery("#update_form").submit();
        });
        custom_uploader_hami.open();
    })

    function delete_image(id) {
        if (confirm("آیا مطمئن به حذف هستید ؟")) {
            jQuery("#li_" + id + ' #img_' + id).remove();
            jQuery("#li_" + id + ' input').remove();
            jQuery("#li_" + id + ' img').attr('style', 'display: block;position:absolute;left: 40%;top: 50%;width:25px;height:25px');
            jQuery("#inputIdForRemove").val(id);
            jQuery("#sort_form").submit();
        }
    }
</script>