<?php
wp_register_style( 'select2.min.css', WOO2APP_CSS_URL . 'select2.min.css' );
wp_enqueue_style( 'select2.min.css' . WOO2APP_FILES_VER );
wp_enqueue_script( 'select2.min.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'select2.min.js' );
global $wpdb;
$table_name = $wpdb->prefix . "woo2app_mainpage";



if ( isset( $_POST['woo2app-admin'] ) && wp_verify_nonce( $_POST['woo2app-admin'], 'woo2app-admin' ) && isset( $_POST['submit_banner'] ) ) {
	if ( $_REQUEST["select_action_banner"] && $_REQUEST["src_val"] ) {
		$values = [];
        foreach ($_REQUEST["value"] as $val){
	        $values[] = json_decode(stripcslashes($val) , true);
        }
		$title = 'اسلایدر';
		$pic   = '';
		$value = json_encode($values);
		$sort  = 100;
		$type  = 1012;
		$r = $wpdb->query( $wpdb->prepare( "INSERT INTO $table_name 

		( mp_title , mp_type , mp_value , mp_showtype , mp_pic , mp_order ,mp_sort, description) 

		VALUES ( %s, %d, %s, %s, %s, %d, %s, %s )", $title, $type , $value, $type, $pic, $sort, '', '' ) );
	}
}
$args = array(
	'hide_empty' => 0,
	'taxonomy'   => 'product_cat'
);
$cats = get_categories( $args );

$args      = array(
	'hide_empty' => 0,
	'taxonomy'   => 'category'
);
$post_cats = get_categories( $args );
?>
<div>
    <form action="" method="post">
		<?php wp_nonce_field( 'woo2app-admin', 'woo2app-admin' ); ?>
        <h3 class="background-color-e5e5e5 padding-7px">
			<?php _e( 'Slider', 'woo2app' ); ?>
        </h3>
        <hr>
        <table class="form-table ">
            <tbody>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label><?php _e( 'Title', 'woo2app' ); ?></label>
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" name="title" id="title" value=""
                           placeholder="<?php _e( 'Title', 'woo2app' ); ?>">
                </td>
            </tr>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label><?php _e( 'Action', 'woo2app' ); ?></label>
                </th>
                <td class="forminp">
                    <select class="regular-text" id="select_action_banner" name="select_action_banner"
                            required="required">
                        <option value="0"> <?php _e( 'Please Select ...', 'woo2app' ); ?></option>
                        <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                        <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                        <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                        <option value="8"><?php _e( 'Product Tag', 'woo2app' ); ?></option>
                        <option value="9"><?php _e( 'Custom List', 'woo2app' ); ?></option>
                        <option value="4"><?php _e( 'No Action', 'woo2app' ); ?></option>
                        <option value="11"> دسته بندی نوشته ها</option>
                        <option value="12"> برچسب های نوشته ها</option>
                        <option value="10"> نوشته ها</option>
                        <option value="13"> خروج از اپلیکیشن</option>
                    </select>
                </td>
            </tr>
            <tr valign="top" class="type_value display-none" id="val_post_cats">
                <th scope="row" class="titledesc">
                    <label><?php _e( 'Post Category', 'woo2app' ); ?></label>
                </th>
                <td class="forminp">
                    <select class="regular-text" name="postCat" id="postCat">
						<?php
						foreach ( $post_cats as $cat ) {
							?>
                            <option value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
							<?php
						}

						?>
                    </select>
                </td>
            </tr>
            <tr valign="top" class="type_value display-none" id="val_post_tags">
                <th scope="row" class="titledesc">
                    <label> برچسب های نوشته </label>
                </th>
                <td class="forminp">
                    <select name="postTag" data-id="postTags" id="post_tag"
                            class="regular-text js-data-example-ajax"></select>
                </td>
            </tr>
            <tr valign="top" class="type_value display-none" id="val_post">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Post', 'woo2app' ); ?> </label>
                </th>
                <td class="forminp">
                    <select name="post" id="value_post" class="regular-text js-data-example-ajax"></select>
                </td>
            </tr>
            <tr valign="top" class="el_type display-none" id="el_tags">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Product Tag', 'woo2app' ); ?> </label>
                </th>
                <td class="forminp">
                    <select name="tags" data-id="tags" id="tags" class="regular-text js-data-example-ajax">

                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type display-none" id="el_products">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Product', 'woo2app' ); ?> </label>
                </th>
                <td class="forminp">
                    <select name="product" id="product" data-id="product" class="regular-text js-data-example-ajax">

                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type display-none" id="el_CustomList">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Custom List', 'woo2app' ); ?> </label>
                </th>
                <td class="forminp">
                    <select name="CustomList" id="value_custom_list" class="regular-text"
                            data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
						<?php
						$results = get_option( 'mr2app_custom_product_list' );
						foreach ( $results as $key ) {
							?>
                            <option value='<?= implode( ',', $key['list_product'] ) ?>'> <?= $key['title']; ?></option>
							<?php
						}
						?>
                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type display-none" id="el_cats">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Category', 'woo2app' ); ?> </label>
                </th>
                <td class="forminp">
                    <select name="cat" data-id="cat" id="cat" class="regular-text js-data-example-ajax">

                    </select>
                </td>
            </tr>
            <tr valign="top" class="el_type display-none" id="el_link">
                <th scope="row" class="titledesc">
                    <label> <?php _e( 'Link', 'woo2app' ); ?></label>
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" name="link" id="link" value=""
                           placeholder="{http | https}://yoursite.com">
                </td>
            </tr>
            <tr>
                <th scope="row" class="titledesc">
                    <label dir="rtl"> <?php _e( 'Image', 'woo2app' ); ?></label>
                    <p>
                    <hr>
					<?php _e( 'Best scale', 'woo2app' ); ?> : 2x1
                    <hr>
					<?php _e( 'Recommended Resolution', 'woo2app' ); ?> : 1200x600
                    <hr>
					<?php _e( 'Max Size', 'woo2app' ); ?> : 150KB
                    <hr>
					<?php _e( 'Format', 'woo2app' ); ?> : PNG - JPG - JPEG - GIF
                    </p>
                </th>
                <td class="forminp">
                    <input type="hidden" id="src_val" name="src_val">
                    <img id="div_image_item_hami" class="banner cursor-pointer width-300px height-150px"
                         src="<?= WOO2APP_URL . "files/img/750x375&text=2x1.png" ?>">
                </td>
            </tr>
            <tr>
                <th scope="row" class="titledesc">
                </th>
                <td class="forminp">
                    <input onclick="addSlider()" type="button" value="<?php _e( 'Add', 'woo2app' ); ?>"
                           class="button button-primary">
                </td>
            </tr>
            </tbody>
        </table>
        <div class="hidden" id="divSliderList">
            <div>

            </div>
            <p>
                <input type="submit" value="<?php _e( 'submit', 'woo2app' ); ?>" class="button button-primary"
                       name="submit_banner">
            </p>
        </div>
    </form>
</div>
<hr>
<?php
wp_enqueue_media();
wp_enqueue_script( 'loadajax.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'loadAjaxPosts.js', array( 'jquery' ) );
?>
<script>

    function addSlider() {
        let title = jQuery("#title").val();
        let pic = jQuery("#src_val").val();
        if (pic === ''){
            alert("لطفا عکس رو انتخاب کنید.");
            return;
        }
        let action = jQuery("#select_action_banner").val();
        console.log({action})
        let value = "";
        let sort = 100;
        if (action === '1') {

            value = jQuery("#product").val();
        } else if (action === '2') {
            value = jQuery("#cat").val();//($_REQUEST["cat"]);
        } else if (action === '3') {
            value = jQuery("#link").val();//esc_url_raw($_REQUEST["link"]);
        } else if (action === '8') {
            value = jQuery("#tags").val();//json_encode(($_REQUEST["tags"]));
        } else if (action === '9') {
            value = jQuery("#value_custom_list").val();
        } else if (action === '10') {
            value = jQuery("#value_post").val();//($_REQUEST["post"]);
        } else if (action === '11') {
            value = jQuery("#postCat").val();//($_REQUEST["postCat"]);
        } else if (action === '12') {
            value = jQuery("#post_tag").val();//($_REQUEST["postTag"]);
        }
        let arrayValue = {
            'title': title,
            'action': action,
            'value': value,
            'pic': pic,
        };
        var newElement = jQuery('<p>')
            .append(jQuery('<label>').text(title))
            .append(jQuery('<input>').attr({ name: 'value[]', value: JSON.stringify(arrayValue),type : 'hidden' }))
            .append(jQuery('<button>').text('حذف').on('click', function() {
                removeParent(this);
            }));
        // let newElement = $('<p><label> '+ title +' </label><input value="'+ arrayValue +'" name="value[]"/><button onclick="removeParent(this)"> جذف </button></p>');

        // اضافه کردن المان P جدید به divSliderList
        newElement.appendTo('#divSliderList div');
        jQuery("#divSliderList").removeClass('hidden');

    }

    function removeParent(){
        console.log('delete')
    }
    jQuery('#select_action_banner').on('change', function () {
        var type_val = (jQuery('#select_action_banner').val());
        //alert(type_val)
        jQuery('.el_type').css('display', 'none');
        if (type_val == 1) {
            jQuery('#el_products').css('display', 'table-row');
        } else if (type_val == 2) {
            jQuery('#el_cats').css('display', 'table-row');
        } else if (type_val == 3) {
            jQuery('#el_link').css('display', 'table-row');
        } else if (type_val == 8) {
            jQuery('#el_tags').css('display', 'table-row');
        } else if (type_val == 9) {
            jQuery('#el_CustomList').css('display', 'table-row');
        } else if (type_val == 10) {
            jQuery('#val_post').css('display', 'table-row');
        } else if (type_val == 11) {
            jQuery('#val_post_cats').css('display', 'table-row');
        } else if (type_val == 12) {
            jQuery('#val_post_tags').css('display', 'table-row');
        }
    });
    var custom_uploader_hami;
    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: '<?php _e( 'Select Image', 'woo2app' ); ?>',
            library: {type: 'image'},
            button: {text: '<?php _e( 'Select', 'woo2app' ); ?>'},
            multiple: false
        });
        custom_uploader_hami.on('select', function () {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#src_val').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami').attr("src", url_image);
        });
        custom_uploader_hami.open();
    });
    jQuery('.search_product_banner').keyup(function () {
        var id = jQuery(this).attr('data-id');
        //alert(id);
        var v = jQuery(this).val();
        if (v.length >= 3) {
            jQuery("#img_load" + id).attr("style", 'display:block');
            jQuery.ajax({
                url: ajaxurl,
                data: {
                    action: "load_all_product",
                    search_product: v
                },
                success: function (data) {
                    jQuery("#img_load" + id).attr("style", 'display:none');
                    jQuery("#value_post_items_menu" + id).html(data);
                }
            });
        }
    });
</script>