<?php
/**
 * Created by mr2app.
 * User: Hani
 * Date: 3/19/2019
 * Time: 3:21 PM
 */

wp_register_style( 'woo2app_style', WOO2APP_CSS_URL . 'woo2app_style.css' );
wp_enqueue_style( 'woo2app_style' . WOO2APP_FILES_VER );
if ( get_locale() == 'fa_IR' ) {
	wp_register_style( 'myfont', WOO2APP_CSS_URL . 'font.css' );
	wp_enqueue_style( 'myfont' . WOO2APP_FILES_VER );
}

$authentication = get_option( 'woo2app_authentication' );
if ( ! is_array( $authentication ) ) {
	$authentication = array(
		'consumer_key'    => '',
		'consumer_secret' => '',
		'api_key'         => '',
		'app_id'          => ''
	);
}
?>
<div class="wrap">
    <h1>
        اطلاعات زیر را تکمیل کنید.
    </h1>
    <form method="post" action="options.php">
		<?php
		settings_fields( 'woo2app_authentication-group' );
		do_settings_sections( 'woo2app_authentication-group' );
		?>
        <table class="form-table">
            <!--			<tr valign="top" class="" >-->
            <!--				<th scope="row" class="titledesc">-->
            <!--                    --><?php //_e('Active', 'woo2app'); ?>
            <!--				</th>-->
            <!--				<td class="forminp">-->
            <!--					<input type="checkbox"  name="woo2app_authentication[enable]" -->
			<? //= checked(isset($authentication['enable']) ? $authentication['enable'] : ''  , 'on');?><!-- />-->
            <!--				</td>-->
            <!--			</tr>-->
            <!--			<tr valign="top" class="" >-->
            <!--				<th scope="row" class="titledesc">-->
            <!--                    --><?php //_e('Consumer key', 'woo2app'); ?>
            <!--				</th>-->
            <!--				<td class="forminp">-->
            <!--					<input type="text" class="regular-text" name="woo2app_authentication[consumer_key]" value="-->
			<? //= $authentication['consumer_key'];?><!--" />-->
            <!--				</td>-->
            <!--			</tr>-->
            <!--			<tr valign="top" class="" >-->
            <!--				<th scope="row" class="titledesc">-->
            <!--                    --><?php //_e('Consumer password', 'woo2app'); ?>
            <!--				</th>-->
            <!--				<td class="forminp">-->
            <!--					<input type="text" class="regular-text" name="woo2app_authentication[consumer_secret]" value="-->
			<? //= $authentication['consumer_secret'];?><!--" />-->
            <!--				</td>-->
            <!--			</tr>-->

            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    کلید Api
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" name="woo2app_authentication[api_key]"
                           value="<?= $authentication['api_key']; ?>"/>
                </td>
            </tr>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    کلید اپلیکیشن
                </th>
                <td class="forminp">
                    <input type="text" class="regular-text" name="woo2app_authentication[app_id]"
                           value="<?= $authentication['app_id']; ?>"/>
                </td>
            </tr>
        </table>
        <div>
			<?php submit_button( 'Save Change' ); ?>
        </div>
    </form>
    <hr>
	<?php
	function get_statistics( $api_key, $app_id ) {
		$data = array(
			'api_key'  => $api_key,
			'app_id'   => $app_id
		);
		$data = json_encode( $data );
		$data = array( "in" => $data );
		$ch   = curl_init();
		curl_setopt( $ch, CURLOPT_URL, "https://mr2app.com/api/reseller/get_statistics" );
		curl_setopt( $ch, CURLOPT_HTTPHEADER, array(
			"Content-Type:multipart/form-data"
		) );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
		curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 0 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
		curl_setopt( $ch, CURLOPT_POST, true );
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );
		$response = curl_exec( $ch );
		$httpcode = curl_getinfo( $ch, CURLINFO_HTTP_CODE );
		curl_close( $ch );
		if ( $httpcode !== 200 ) {
			return false;
		}

		return json_decode( $response , true);

	}

	$woo2app_authentication = get_option( 'woo2app_authentication' );
	if (! empty( $woo2app_authentication['api_key'] )
	     && ! empty( $woo2app_authentication['app_id'] ) ) {
		?>
        <h2> آمار اپلیکیشن </h2>
		<?php
		$result = get_statistics( $woo2app_authentication['api_key'], $woo2app_authentication['app_id'] );
		if ( $result ) {
			?>
            <table class="form-table ">
                <tbody>
                <tr class="">
                    <th scope="row" class="titledesc">
                        <label>تعداد نصب </label>
                    </th>
                    <td style="font-size: 25px"> <?= $result['result']['installAllCount'] ?>  </td>
                </tr>
                <tr class="">
                    <th scope="row" class="titledesc">
                        <label>تعداد بازدید </label>
                    </th>
                    <td style="font-size: 25px"> <?= $result['result']['eventAllCount'] ?>  </td>
                </tr>
                </tbody>
            </table>
			<?php
		} else {
			?>
            <p>
                متاسفانه ، سرویس دریافت آمار با خطا مواجه شده است.
            </p>
			<?php
		}
	}
	?>


</div>
