<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
wp_register_style( 'woo2app_style', WOO2APP_CSS_URL . 'woo2app_style.css' );
wp_enqueue_style( 'woo2app_style' . WOO2APP_FILES_VER );
if ( get_locale() == 'fa_IR' ) {
	wp_register_style( 'myfont', WOO2APP_CSS_URL . 'font.css' );
	wp_enqueue_style( 'myfont' . WOO2APP_FILES_VER );
}
wp_register_style( 'select2.min.css', WOO2APP_CSS_URL . 'select2.min.css' );
wp_enqueue_style( 'select2.min.css' . WOO2APP_FILES_VER );
wp_enqueue_script( 'select2.min.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'select2.min.js' );
$current_url = "//" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
$args        = array(
	'hide_empty' => 0,
	'taxonomy'   => 'category'
);
$post_cats   = get_categories( $args );
global $wpdb;

$table_name = $wpdb->prefix . "woo2app_menu";
$homeIcon   = $wpdb->get_results( "SELECT * FROM $table_name where menu_menu = 5" );
$categoryIcon   = $wpdb->get_results( "SELECT * FROM $table_name where menu_menu = 6" );
$basketIcon   = $wpdb->get_results( "SELECT * FROM $table_name where menu_menu = 7" );
$searchIcon   = $wpdb->get_results( "SELECT * FROM $table_name where menu_menu = 8" );
$profileIcon   = $wpdb->get_results( "SELECT * FROM $table_name where menu_menu = 9" );

?>
<label id="error_title" class="hide"> <?= _e( 'Please enter title.', 'woo2app' ) ?></label>
<label id="title_separator" class="hide"> <?= _e( 'Separator ', 'woo2app' ) ?></label>

<div class="div_mainpage1">
    <h4 class="background-color-e5e5e5 padding-7px">
        خانه
    </h4>
    <table class="form-table width-600px">
        <tr>
            <th>
				<?php _e( 'Type', 'woo2app' ); ?>
            </th>
            <td>
                <select class="regular-text" id="select_action_menu5">
                    <option value="0"><?php _e( 'Separator Line', 'woo2app' ); ?> </option>
                    <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                    <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                    <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                    <option value="4"><?php _e( 'Orders', 'woo2app' ); ?></option>
                    <option value="5"><?php _e( 'Product Listing', 'woo2app' ); ?></option>
                    <option value="6"><?php _e( 'Cart', 'woo2app' ); ?></option>
                    <option value="7"><?php _e( 'Product Search', 'woo2app' ); ?></option>
                    <option value="8"><?php _e( 'Share', 'woo2app' ); ?></option>
                    <option value="9"><?php _e( 'Wishlist', 'woo2app' ); ?></option>
                    <option value="10"><?php _e( 'Category List', 'woo2app' ); ?></option>
                    <option value="11"> <?php _e( 'Blog', 'woo2app' ); ?> </option>
                    <option value="12"> <?php _e( 'Login', 'woo2app' ); ?> </option>
                    <option value="13"> <?php _e( 'Register', 'woo2app' ); ?> </option>
                    <option value="14"> <?php _e( 'Profile', 'woo2app' ); ?> </option>
                    <option value="15"> <?php _e( 'Order Tracking', 'woo2app' ); ?> </option>
                    <option value="16"> <?php _e( 'Call', 'woo2app' ); ?> </option>
                    <option value="17"> <?php _e( 'SMS', 'woo2app' ); ?> </option>
                    <option value="18"> <?php _e( 'Wallet', 'woo2app' ); ?> </option>
                    <option value="19"> <?php _e( 'Invite Friends', 'woo2app' ); ?> </option>
                    <option value="20"> <?php _e( 'Message Inbox', 'woo2app' ); ?></option>
                    <option value="21"> <?php _e( 'Vendors', 'woo2app' ); ?> </option>
                    <option value="22"> <?php _e( 'About', 'woo2app' ); ?> </option>
                    <option value="23"> <?php _e( 'Qr Code', 'woo2app' ); ?></option>
                    <option value="24"> <?php _e( 'Multi-Domain', 'woo2app' ); ?></option>
                    <option value="25"> <?php _e( 'Purchased Files', 'woo2app' ); ?></option>
                    <option value="26"> نوشته ها</option>
                    <option value="27"> دسته بندی نوشته ها</option>
                    <option value="28"> برچسب نوشته ها</option>
                    <option value="29"> خروج از اپلیکیشن</option>
                    <option value="30"> خانه </option>
                    <option value="31"> دسته بندی وبلاگ </option>
                </select>
                <div class="alert alert-danger hide padding-2px">
					<?php _e( 'Please select action.', 'woo2app' ); ?>
                </div>
            </td>
        </tr>
        <tr class="hide" id="product_list5">
            <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
            <td>
                <select name="product5" data-id="product"
                        data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                        id="value_post_items_menu5"
                        class="js-data-example-ajax regular-text">
                </select>
            </td>
        </tr>
        <tr class="hide" id="category_list5">
            <th>  <?php _e( 'Select Category', 'woo2app' ); ?> </th>
            <td>
                <select id="value_cat_items_menu5"
                        class="js-example-basic-single regular-text"
                        data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
                    <option value="0"><?php _e( 'Choose your category', 'woo2app' ); ?></option>
					<?php
					$args = array(
						'hide_empty' => 0,
						'taxonomy'   => 'product_cat'
					);
					$cats = get_categories( $args );
					foreach ( $cats as $cat ) {
						?>
                        <option value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr class="hide" id="el_post5">
            <th scope="row" class="titledesc">
                <label> <?php _e( 'Post', 'woo2app' ); ?></label>
            </th>
            <td class="forminp">
                <select name="post" id="value_post_notif5" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="el_post_cats5">
            <th scope="row" class="titledesc">
                <label> دسته بندی نوشته ها </label>
            </th>
            <td class="forminp">
                <select class="regular-text" name="post_cat" id="post_cat5">
					<?php
					foreach ( $post_cats as $cat ) {
						?>
                        <option class="text-right" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr valign="top" class="hide" id="el_post_tags5">
            <th scope="row" class="titledesc">
                <label> برچسب های نوشته </label>
            </th>
            <td class="forminp">
                <select name="post" data-id="postTags" id="post_tag5"
                        class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="link_list5">
            <th> <?php _e( 'Link', 'woo2app' ); ?> </th>
            <td>
                <input id="value_link_items_menu5" type="text" class="regular-text"
                       placeholder="{http | https}://yoursite.com">
            </td>
        </tr>
        <tr class="hide" id="tell_list5">
            <th> <?php _e( 'Phone', 'woo2app' ); ?> </th>
            <td>
                <input id="value_tell_items_menu5" type="text" class="regular-text"
                       placeholder="<?php _e( 'Phone Number', 'woo2app' ); ?>">
            </td>
        </tr>
        <tr class="hide" id="title_menu5">
            <th> <?php _e( 'Title', 'woo2app' ); ?> </th>
            <td>
                <input placeholder="<?php _e( 'Title', 'woo2app' ); ?>"
                       id="value_title_menu5" type="text" class="regular-text" value="<?= $homeIcon[0]->menu_title;?>">
            </td>
        </tr>
        <tr class="hide" id="inviter_help5">

            <th> <?php _e( 'Invitation Message', 'woo2app' ); ?>  </th>
            <td>
                    <textarea id="value_moaref_items_menu5" type="text"
                              class="regular-text"
                              placeholder="<?php _e( 'Enter Your Text', 'woo2app' ); ?> "></textarea>
                <p class="p_moaref_items_menu5">
                    <a href="https://apppash.com/woocommerce-marketing/"
                       target="_blank"> <?php _e( 'Guide', 'woo2app' ); ?> </a>
                </p>
            </td>
        </tr>
        <tr class="hide" id="custom_paragraph5">
            <th>
				<?php _e( 'About Content', 'woo2app' ); ?>
            </th>
            <td>
                    <textarea id="p_custom_paragraph5" type="text" class="regular-text"
                              placeholder="<?php _e( 'Enter Text', 'woo2app' ); ?>"></textarea>
            </td>
        </tr>
        <tr id="sort_product_list5" class="hide">
            <th> <?php _e( 'Sort', 'woo2app' ); ?> </th>
            <td>
                <select id="sort_product_value5" class="regular-text">
                    <option value=""> <?php _e( 'Default ', 'woo2app' ); ?></option>
                    <option value="orderby=popularity&order=DESC"> <?php _e( 'Popularity', 'woo2app' ); ?> </option>
                    <option value="orderby=date&order=DESC"> <?php _e( 'Newest', 'woo2app' ); ?> </option>
                    <option value="orderby=price&order=ASC"> <?php _e( 'Lowest price ', 'woo2app' ); ?></option>
                    <option value="orderby=price&order=DESC"> <?php _e( 'Highest price', 'woo2app' ); ?> </option>
                    <option value="orderby=selling&order=DESC"> <?php _e( 'Bestseller', 'woo2app' ); ?> </option>
                </select>
            </td>
        </tr>
        <tr class="hide" id="add_item_hami_div5">
            <th>
				<?php _e( 'Icon', 'woo2app' ); ?>
            </th>
            <td>
                <input type="hidden" id="txt_url_item_hami5" value="<?= $homeIcon[0]->menu_pic ?>"/>/>
                <img id="div_image_item_hami5" class="float-right" style="margin : 10px auto ; height : 100px  ; max-width : 200px"
                     src="<?= $homeIcon[0]->menu_pic ? $homeIcon[0]->menu_pic : WOO2APP_URL . "files/img/96x96&text=icon.png";?>"/>
                <div id="div_sel_pic_banner5">
                    <button id="btn_sel_pic_banner5"
                            type="button"
                            class="button button-primary float-right margin-top-45px margin-right-5px">
						<?php _e( 'Icon', 'woo2app' ); ?>
                    </button>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button id="btn_form_menu5" class="button button-primary">
					<?php _e( 'Add', 'woo2app' ); ?>
                </button>
                <img id="img_load5" class="hide width-height-25px"
                     src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            </td>
        </tr>
    </table>


    <h4 class="background-color-e5e5e5 padding-7px">
        دسته بندی
    </h4>
    <table class="form-table width-600px">
        <tr>
            <th>
				<?php _e( 'Type', 'woo2app' ); ?>
            </th>
            <td>
                <select class="regular-text" id="select_action_menu6">
                    <option value="0"><?php _e( 'Separator Line', 'woo2app' ); ?> </option>
                    <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                    <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                    <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                    <option value="4"><?php _e( 'Orders', 'woo2app' ); ?></option>
                    <option value="5"><?php _e( 'Product Listing', 'woo2app' ); ?></option>
                    <option value="6"><?php _e( 'Cart', 'woo2app' ); ?></option>
                    <option value="7"><?php _e( 'Product Search', 'woo2app' ); ?></option>
                    <option value="8"><?php _e( 'Share', 'woo2app' ); ?></option>
                    <option value="9"><?php _e( 'Wishlist', 'woo2app' ); ?></option>
                    <option value="10"><?php _e( 'Category List', 'woo2app' ); ?></option>
                    <option value="11"> <?php _e( 'Blog', 'woo2app' ); ?> </option>
                    <option value="12"> <?php _e( 'Login', 'woo2app' ); ?> </option>
                    <option value="13"> <?php _e( 'Register', 'woo2app' ); ?> </option>
                    <option value="14"> <?php _e( 'Profile', 'woo2app' ); ?> </option>
                    <option value="15"> <?php _e( 'Order Tracking', 'woo2app' ); ?> </option>
                    <option value="16"> <?php _e( 'Call', 'woo2app' ); ?> </option>
                    <option value="17"> <?php _e( 'SMS', 'woo2app' ); ?> </option>
                    <option value="18"> <?php _e( 'Wallet', 'woo2app' ); ?> </option>
                    <option value="19"> <?php _e( 'Invite Friends', 'woo2app' ); ?> </option>
                    <option value="20"> <?php _e( 'Message Inbox', 'woo2app' ); ?></option>
                    <option value="21"> <?php _e( 'Vendors', 'woo2app' ); ?> </option>
                    <option value="22"> <?php _e( 'About', 'woo2app' ); ?> </option>
                    <option value="23"> <?php _e( 'Qr Code', 'woo2app' ); ?></option>
                    <option value="24"> <?php _e( 'Multi-Domain', 'woo2app' ); ?></option>
                    <option value="25"> <?php _e( 'Purchased Files', 'woo2app' ); ?></option>
                    <option value="26"> نوشته ها</option>
                    <option value="27"> دسته بندی نوشته ها</option>
                    <option value="28"> برچسب نوشته ها</option>
                    <option value="29"> خروج از اپلیکیشن</option>
                    <option value="30"> خانه </option>
                    <option value="31"> دسته بندی وبلاگ </option>
                </select>
                <div class="alert alert-danger hide padding-2px">
					<?php _e( 'Please select action.', 'woo2app' ); ?>
                </div>
            </td>
        </tr>
        <tr class="hide" id="product_list6">
            <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
            <td>
                <select name="product5" data-id="product"
                        data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                        id="value_post_items_menu6"
                        class="js-data-example-ajax regular-text">
                </select>
            </td>
        </tr>
        <tr class="hide" id="category_list6">
            <th>  <?php _e( 'Select Category', 'woo2app' ); ?> </th>
            <td>
                <select id="value_cat_items_menu6"
                        class="js-example-basic-single regular-text"
                        data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
                    <option value="0"><?php _e( 'Choose your category', 'woo2app' ); ?></option>
					<?php
					$args = array(
						'hide_empty' => 0,
						'taxonomy'   => 'product_cat'
					);
					$cats = get_categories( $args );
					foreach ( $cats as $cat ) {
						?>
                        <option value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr class="hide" id="el_post6">
            <th scope="row" class="titledesc">
                <label> <?php _e( 'Post', 'woo2app' ); ?></label>
            </th>
            <td class="forminp">
                <select name="post" id="value_post_notif6" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="el_post_cats6">
            <th scope="row" class="titledesc">
                <label> دسته بندی نوشته ها </label>
            </th>
            <td class="forminp">
                <select class="regular-text" name="post_cat" id="post_cat6">
					<?php
					foreach ( $post_cats as $cat ) {
						?>
                        <option class="text-right" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr valign="top" class="hide" id="el_post_tags6">
            <th scope="row" class="titledesc">
                <label> برچسب های نوشته </label>
            </th>
            <td class="forminp">
                <select name="post" data-id="postTags" id="post_tag6"
                        class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="link_list6">
            <th> <?php _e( 'Link', 'woo2app' ); ?> </th>
            <td>
                <input id="value_link_items_menu6" type="text" class="regular-text"
                       placeholder="{http | https}://yoursite.com">
            </td>
        </tr>
        <tr class="hide" id="tell_list6">
            <th> <?php _e( 'Phone', 'woo2app' ); ?> </th>
            <td>
                <input id="value_tell_items_menu6" type="text" class="regular-text"
                       placeholder="<?php _e( 'Phone Number', 'woo2app' ); ?>">
            </td>
        </tr>
        <tr class="hide" id="title_menu6">
            <th> <?php _e( 'Title', 'woo2app' ); ?> </th>
            <td>
                <input placeholder="<?php _e( 'Title', 'woo2app' ); ?>"
                       id="value_title_menu6" type="text" class="regular-text" value="<?= $categoryIcon[0]->menu_title;?>">
            </td>
        </tr>
        <tr class="hide" id="inviter_help6">

            <th> <?php _e( 'Invitation Message', 'woo2app' ); ?>  </th>
            <td>
                    <textarea id="value_moaref_items_menu6" type="text"
                              class="regular-text"
                              placeholder="<?php _e( 'Enter Your Text', 'woo2app' ); ?> "></textarea>
                <p class="p_moaref_items_menu6">
                    <a href="https://apppash.com/woocommerce-marketing/"
                       target="_blank"> <?php _e( 'Guide', 'woo2app' ); ?> </a>
                </p>
            </td>
        </tr>
        <tr class="hide" id="custom_paragraph6">
            <th>
				<?php _e( 'About Content', 'woo2app' ); ?>
            </th>
            <td>
                    <textarea id="p_custom_paragraph6" type="text" class="regular-text"
                              placeholder="<?php _e( 'Enter Text', 'woo2app' ); ?>"></textarea>
            </td>
        </tr>
        <tr id="sort_product_list6" class="hide">
            <th> <?php _e( 'Sort', 'woo2app' ); ?> </th>
            <td>
                <select id="sort_product_value6" class="regular-text">
                    <option value=""> <?php _e( 'Default ', 'woo2app' ); ?></option>
                    <option value="orderby=popularity&order=DESC"> <?php _e( 'Popularity', 'woo2app' ); ?> </option>
                    <option value="orderby=date&order=DESC"> <?php _e( 'Newest', 'woo2app' ); ?> </option>
                    <option value="orderby=price&order=ASC"> <?php _e( 'Lowest price ', 'woo2app' ); ?></option>
                    <option value="orderby=price&order=DESC"> <?php _e( 'Highest price', 'woo2app' ); ?> </option>
                    <option value="orderby=selling&order=DESC"> <?php _e( 'Bestseller', 'woo2app' ); ?> </option>
                </select>
            </td>
        </tr>
        <tr class="hide" id="add_item_hami_div6">
            <th>
				<?php _e( 'Icon', 'woo2app' ); ?>
            </th>
            <td>
                <input type="hidden" id="txt_url_item_hami6" value="<?= $categoryIcon[0]->menu_pic ?>"/>/>
                <img id="div_image_item_hami6" class="float-right"style="margin : 10px auto ; height : 100px  ; max-width : 200px"
                     src="<?= $categoryIcon[0]->menu_pic ? $categoryIcon[0]->menu_pic : WOO2APP_URL . "files/img/96x96&text=icon.png";?>"/>
                <div id="div_sel_pic_banner6">
                    <button id="btn_sel_pic_banner6"
                            type="button"
                            class="button button-primary float-right margin-top-45px margin-right-5px">
						<?php _e( 'Icon', 'woo2app' ); ?>
                    </button>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button id="btn_form_menu6" class="button button-primary">
					<?php _e( 'Add', 'woo2app' ); ?>
                </button>
                <img id="img_load6" class="hide width-height-25px"
                     src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            </td>
        </tr>
    </table>

    <h4 class="background-color-e5e5e5 padding-7px">
        سبد خرید
    </h4>
    <table class="form-table width-600px">
        <tr>
            <th>
				<?php _e( 'Type', 'woo2app' ); ?>
            </th>
            <td>
                <select class="regular-text" id="select_action_menu7">
                    <option value="0"><?php _e( 'Separator Line', 'woo2app' ); ?> </option>
                    <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                    <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                    <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                    <option value="4"><?php _e( 'Orders', 'woo2app' ); ?></option>
                    <option value="5"><?php _e( 'Product Listing', 'woo2app' ); ?></option>
                    <option value="6"><?php _e( 'Cart', 'woo2app' ); ?></option>
                    <option value="7"><?php _e( 'Product Search', 'woo2app' ); ?></option>
                    <option value="8"><?php _e( 'Share', 'woo2app' ); ?></option>
                    <option value="9"><?php _e( 'Wishlist', 'woo2app' ); ?></option>
                    <option value="10"><?php _e( 'Category List', 'woo2app' ); ?></option>
                    <option value="11"> <?php _e( 'Blog', 'woo2app' ); ?> </option>
                    <option value="12"> <?php _e( 'Login', 'woo2app' ); ?> </option>
                    <option value="13"> <?php _e( 'Register', 'woo2app' ); ?> </option>
                    <option value="14"> <?php _e( 'Profile', 'woo2app' ); ?> </option>
                    <option value="15"> <?php _e( 'Order Tracking', 'woo2app' ); ?> </option>
                    <option value="16"> <?php _e( 'Call', 'woo2app' ); ?> </option>
                    <option value="17"> <?php _e( 'SMS', 'woo2app' ); ?> </option>
                    <option value="18"> <?php _e( 'Wallet', 'woo2app' ); ?> </option>
                    <option value="19"> <?php _e( 'Invite Friends', 'woo2app' ); ?> </option>
                    <option value="20"> <?php _e( 'Message Inbox', 'woo2app' ); ?></option>
                    <option value="21"> <?php _e( 'Vendors', 'woo2app' ); ?> </option>
                    <option value="22"> <?php _e( 'About', 'woo2app' ); ?> </option>
                    <option value="23"> <?php _e( 'Qr Code', 'woo2app' ); ?></option>
                    <option value="24"> <?php _e( 'Multi-Domain', 'woo2app' ); ?></option>
                    <option value="25"> <?php _e( 'Purchased Files', 'woo2app' ); ?></option>
                    <option value="26"> نوشته ها</option>
                    <option value="27"> دسته بندی نوشته ها</option>
                    <option value="28"> برچسب نوشته ها</option>
                    <option value="29"> خروج از اپلیکیشن</option>
                    <option value="30"> خانه </option>
                    <option value="31"> دسته بندی وبلاگ </option>
                </select>
                <div class="alert alert-danger hide padding-2px">
					<?php _e( 'Please select action.', 'woo2app' ); ?>
                </div>
            </td>
        </tr>
        <tr class="hide" id="product_list7">
            <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
            <td>
                <select name="product7" data-id="product"
                        data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                        id="value_post_items_menu7"
                        class="js-data-example-ajax regular-text">
                </select>
            </td>
        </tr>
        <tr class="hide" id="category_list7">
            <th>  <?php _e( 'Select Category', 'woo2app' ); ?> </th>
            <td>
                <select id="value_cat_items_menu7"
                        class="js-example-basic-single regular-text"
                        data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
                    <option value="0"><?php _e( 'Choose your category', 'woo2app' ); ?></option>
					<?php
					$args = array(
						'hide_empty' => 0,
						'taxonomy'   => 'product_cat'
					);
					$cats = get_categories( $args );
					foreach ( $cats as $cat ) {
						?>
                        <option value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr class="hide" id="el_post7">
            <th scope="row" class="titledesc">
                <label> <?php _e( 'Post', 'woo2app' ); ?></label>
            </th>
            <td class="forminp">
                <select name="post" id="value_post_notif7" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="el_post_cats7">
            <th scope="row" class="titledesc">
                <label> دسته بندی نوشته ها </label>
            </th>
            <td class="forminp">
                <select class="regular-text" name="post_cat" id="post_cat7">
					<?php
					foreach ( $post_cats as $cat ) {
						?>
                        <option class="text-right" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr valign="top" class="hide" id="el_post_tags7">
            <th scope="row" class="titledesc">
                <label> برچسب های نوشته </label>
            </th>
            <td class="forminp">
                <select name="post" data-id="postTags" id="post_tag7"
                        class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="link_list7">
            <th> <?php _e( 'Link', 'woo2app' ); ?> </th>
            <td>
                <input id="value_link_items_menu7" type="text" class="regular-text"
                       placeholder="{http | https}://yoursite.com">
            </td>
        </tr>
        <tr class="hide" id="tell_list7">
            <th> <?php _e( 'Phone', 'woo2app' ); ?> </th>
            <td>
                <input id="value_tell_items_menu7" type="text" class="regular-text"
                       placeholder="<?php _e( 'Phone Number', 'woo2app' ); ?>">
            </td>
        </tr>
        <tr class="hide" id="title_menu7">
            <th> <?php _e( 'Title', 'woo2app' ); ?> </th>
            <td>
                <input placeholder="<?php _e( 'Title', 'woo2app' ); ?>"
                       id="value_title_menu7" type="text" class="regular-text" value="<?= $basketIcon[0]->menu_title;?>">
            </td>
        </tr>
        <tr class="hide" id="inviter_help7">

            <th> <?php _e( 'Invitation Message', 'woo2app' ); ?>  </th>
            <td>
                    <textarea id="value_moaref_items_menu7" type="text"
                              class="regular-text"
                              placeholder="<?php _e( 'Enter Your Text', 'woo2app' ); ?> "></textarea>
                <p class="p_moaref_items_menu7">
                    <a href="https://apppash.com/woocommerce-marketing/"
                       target="_blank"> <?php _e( 'Guide', 'woo2app' ); ?> </a>
                </p>
            </td>
        </tr>
        <tr class="hide" id="custom_paragraph7">
            <th>
				<?php _e( 'About Content', 'woo2app' ); ?>
            </th>
            <td>
                    <textarea id="p_custom_paragraph7" type="text" class="regular-text"
                              placeholder="<?php _e( 'Enter Text', 'woo2app' ); ?>"></textarea>
            </td>
        </tr>
        <tr id="sort_product_list7" class="hide">
            <th> <?php _e( 'Sort', 'woo2app' ); ?> </th>
            <td>
                <select id="sort_product_value7" class="regular-text">
                    <option value=""> <?php _e( 'Default ', 'woo2app' ); ?></option>
                    <option value="orderby=popularity&order=DESC"> <?php _e( 'Popularity', 'woo2app' ); ?> </option>
                    <option value="orderby=date&order=DESC"> <?php _e( 'Newest', 'woo2app' ); ?> </option>
                    <option value="orderby=price&order=ASC"> <?php _e( 'Lowest price ', 'woo2app' ); ?></option>
                    <option value="orderby=price&order=DESC"> <?php _e( 'Highest price', 'woo2app' ); ?> </option>
                    <option value="orderby=selling&order=DESC"> <?php _e( 'Bestseller', 'woo2app' ); ?> </option>
                </select>
            </td>
        </tr>
        <tr class="hide" id="add_item_hami_div7">
            <th>
				<?php _e( 'Icon', 'woo2app' ); ?>
            </th>
            <td>
                <input type="hidden" id="txt_url_item_hami7" value="<?= $basketIcon[0]->menu_pic ?>"/>/>
                <img id="div_image_item_hami7" class="float-right" style="margin : 10px auto ; height : 100px  ; max-width : 200px"
                     src="<?= $basketIcon[0]->menu_pic ? $basketIcon[0]->menu_pic : WOO2APP_URL . "files/img/96x96&text=icon.png";?>"/>
                <div id="div_sel_pic_banner7">
                    <button id="btn_sel_pic_banner7"
                            type="button"
                            class="button button-primary float-right margin-top-45px margin-right-5px">
						<?php _e( 'Icon', 'woo2app' ); ?>
                    </button>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button id="btn_form_menu7" class="button button-primary">
					<?php _e( 'Add', 'woo2app' ); ?>
                </button>
                <img id="img_load7" class="hide width-height-25px"
                     src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            </td>
        </tr>
    </table>

    <h4 class="background-color-e5e5e5 padding-7px">
        جستجو
    </h4>
    <table class="form-table width-600px">
        <tr>
            <th>
				<?php _e( 'Type', 'woo2app' ); ?>
            </th>
            <td>
                <select class="regular-text" id="select_action_menu8">
                    <option value="0"><?php _e( 'Separator Line', 'woo2app' ); ?> </option>
                    <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                    <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                    <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                    <option value="4"><?php _e( 'Orders', 'woo2app' ); ?></option>
                    <option value="5"><?php _e( 'Product Listing', 'woo2app' ); ?></option>
                    <option value="6"><?php _e( 'Cart', 'woo2app' ); ?></option>
                    <option value="7"><?php _e( 'Product Search', 'woo2app' ); ?></option>
                    <option value="8"><?php _e( 'Share', 'woo2app' ); ?></option>
                    <option value="9"><?php _e( 'Wishlist', 'woo2app' ); ?></option>
                    <option value="10"><?php _e( 'Category List', 'woo2app' ); ?></option>
                    <option value="11"> <?php _e( 'Blog', 'woo2app' ); ?> </option>
                    <option value="12"> <?php _e( 'Login', 'woo2app' ); ?> </option>
                    <option value="13"> <?php _e( 'Register', 'woo2app' ); ?> </option>
                    <option value="14"> <?php _e( 'Profile', 'woo2app' ); ?> </option>
                    <option value="15"> <?php _e( 'Order Tracking', 'woo2app' ); ?> </option>
                    <option value="16"> <?php _e( 'Call', 'woo2app' ); ?> </option>
                    <option value="17"> <?php _e( 'SMS', 'woo2app' ); ?> </option>
                    <option value="18"> <?php _e( 'Wallet', 'woo2app' ); ?> </option>
                    <option value="19"> <?php _e( 'Invite Friends', 'woo2app' ); ?> </option>
                    <option value="20"> <?php _e( 'Message Inbox', 'woo2app' ); ?></option>
                    <option value="21"> <?php _e( 'Vendors', 'woo2app' ); ?> </option>
                    <option value="22"> <?php _e( 'About', 'woo2app' ); ?> </option>
                    <option value="23"> <?php _e( 'Qr Code', 'woo2app' ); ?></option>
                    <option value="24"> <?php _e( 'Multi-Domain', 'woo2app' ); ?></option>
                    <option value="25"> <?php _e( 'Purchased Files', 'woo2app' ); ?></option>
                    <option value="26"> نوشته ها</option>
                    <option value="27"> دسته بندی نوشته ها</option>
                    <option value="28"> برچسب نوشته ها</option>
                    <option value="29"> خروج از اپلیکیشن</option>
                    <option value="30"> خانه </option>
                    <option value="31"> دسته بندی وبلاگ </option>
                </select>
                <div class="alert alert-danger hide padding-2px">
					<?php _e( 'Please select action.', 'woo2app' ); ?>
                </div>
            </td>
        </tr>
        <tr class="hide" id="product_list8">
            <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
            <td>
                <select name="product8" data-id="product"
                        data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                        id="value_post_items_menu8"
                        class="js-data-example-ajax regular-text">
                </select>
            </td>
        </tr>
        <tr class="hide" id="category_list8">
            <th>  <?php _e( 'Select Category', 'woo2app' ); ?> </th>
            <td>
                <select id="value_cat_items_menu8"
                        class="js-example-basic-single regular-text"
                        data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
                    <option value="0"><?php _e( 'Choose your category', 'woo2app' ); ?></option>
					<?php
					$args = array(
						'hide_empty' => 0,
						'taxonomy'   => 'product_cat'
					);
					$cats = get_categories( $args );
					foreach ( $cats as $cat ) {
						?>
                        <option value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr class="hide" id="el_post8">
            <th scope="row" class="titledesc">
                <label> <?php _e( 'Post', 'woo2app' ); ?></label>
            </th>
            <td class="forminp">
                <select name="post" id="value_post_notif8" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="el_post_cats8">
            <th scope="row" class="titledesc">
                <label> دسته بندی نوشته ها </label>
            </th>
            <td class="forminp">
                <select class="regular-text" name="post_cat" id="post_cat8">
					<?php
					foreach ( $post_cats as $cat ) {
						?>
                        <option class="text-right" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr valign="top" class="hide" id="el_post_tags8">
            <th scope="row" class="titledesc">
                <label> برچسب های نوشته </label>
            </th>
            <td class="forminp">
                <select name="post" data-id="postTags" id="post_tag8"
                        class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="link_list8">
            <th> <?php _e( 'Link', 'woo2app' ); ?> </th>
            <td>
                <input id="value_link_items_menu8" type="text" class="regular-text"
                       placeholder="{http | https}://yoursite.com">
            </td>
        </tr>
        <tr class="hide" id="tell_list8">
            <th> <?php _e( 'Phone', 'woo2app' ); ?> </th>
            <td>
                <input id="value_tell_items_menu8" type="text" class="regular-text"
                       placeholder="<?php _e( 'Phone Number', 'woo2app' ); ?>">
            </td>
        </tr>
        <tr class="hide" id="title_menu8">
            <th> <?php _e( 'Title', 'woo2app' ); ?> </th>
            <td>
                <input placeholder="<?php _e( 'Title', 'woo2app' ); ?>"
                       id="value_title_menu8" type="text" class="regular-text" value="<?= $searchIcon[0]->menu_title;?>">
            </td>
        </tr>
        <tr class="hide" id="inviter_help8">

            <th> <?php _e( 'Invitation Message', 'woo2app' ); ?>  </th>
            <td>
                    <textarea id="value_moaref_items_menu8" type="text"
                              class="regular-text"
                              placeholder="<?php _e( 'Enter Your Text', 'woo2app' ); ?> "></textarea>
                <p class="p_moaref_items_menu8">
                    <a href="https://apppash.com/woocommerce-marketing/"
                       target="_blank"> <?php _e( 'Guide', 'woo2app' ); ?> </a>
                </p>
            </td>
        </tr>
        <tr class="hide" id="custom_paragraph8">
            <th>
				<?php _e( 'About Content', 'woo2app' ); ?>
            </th>
            <td>
                    <textarea id="p_custom_paragraph8" type="text" class="regular-text"
                              placeholder="<?php _e( 'Enter Text', 'woo2app' ); ?>"></textarea>
            </td>
        </tr>
        <tr id="sort_product_list8" class="hide">
            <th> <?php _e( 'Sort', 'woo2app' ); ?> </th>
            <td>
                <select id="sort_product_value8" class="regular-text">
                    <option value=""> <?php _e( 'Default ', 'woo2app' ); ?></option>
                    <option value="orderby=popularity&order=DESC"> <?php _e( 'Popularity', 'woo2app' ); ?> </option>
                    <option value="orderby=date&order=DESC"> <?php _e( 'Newest', 'woo2app' ); ?> </option>
                    <option value="orderby=price&order=ASC"> <?php _e( 'Lowest price ', 'woo2app' ); ?></option>
                    <option value="orderby=price&order=DESC"> <?php _e( 'Highest price', 'woo2app' ); ?> </option>
                    <option value="orderby=selling&order=DESC"> <?php _e( 'Bestseller', 'woo2app' ); ?> </option>
                </select>
            </td>
        </tr>
        <tr class="hide" id="add_item_hami_div8">
            <th>
				<?php _e( 'Icon', 'woo2app' ); ?>
            </th>
            <td>
                <input type="hidden" id="txt_url_item_hami8" value="<?= $searchIcon[0]->menu_pic ?>"/>/>
                <img id="div_image_item_hami8" class="float-right" style="margin : 10px auto ; height : 100px  ; max-width : 200px"
                     src="<?= $searchIcon[0]->menu_pic ? $searchIcon[0]->menu_pic : WOO2APP_URL . "files/img/96x96&text=icon.png";?>"/>
                <div id="div_sel_pic_banner8">
                    <button id="btn_sel_pic_banner8"
                            type="button"
                            class="button button-primary float-right margin-top-45px margin-right-5px">
						<?php _e( 'Icon', 'woo2app' ); ?>
                    </button>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button id="btn_form_menu8" class="button button-primary">
					<?php _e( 'Add', 'woo2app' ); ?>
                </button>
                <img id="img_load8" class="hide width-height-25px"
                     src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            </td>
        </tr>
    </table>

    <h4 class="background-color-e5e5e5 padding-7px">
        پروفایل
    </h4>
    <table class="form-table width-600px">
        <tr>
            <th>
				<?php _e( 'Type', 'woo2app' ); ?>
            </th>
            <td>
                <select class="regular-text" id="select_action_menu9">
                    <option value="0"><?php _e( 'Separator Line', 'woo2app' ); ?> </option>
                    <option value="1"><?php _e( 'Product', 'woo2app' ); ?></option>
                    <option value="2"><?php _e( 'Product Category', 'woo2app' ); ?></option>
                    <option value="3"><?php _e( 'Link', 'woo2app' ); ?></option>
                    <option value="4"><?php _e( 'Orders', 'woo2app' ); ?></option>
                    <option value="5"><?php _e( 'Product Listing', 'woo2app' ); ?></option>
                    <option value="6"><?php _e( 'Cart', 'woo2app' ); ?></option>
                    <option value="7"><?php _e( 'Product Search', 'woo2app' ); ?></option>
                    <option value="8"><?php _e( 'Share', 'woo2app' ); ?></option>
                    <option value="9"><?php _e( 'Wishlist', 'woo2app' ); ?></option>
                    <option value="10"><?php _e( 'Category List', 'woo2app' ); ?></option>
                    <option value="11"> <?php _e( 'Blog', 'woo2app' ); ?> </option>
                    <option value="12"> <?php _e( 'Login', 'woo2app' ); ?> </option>
                    <option value="13"> <?php _e( 'Register', 'woo2app' ); ?> </option>
                    <option value="14"> <?php _e( 'Profile', 'woo2app' ); ?> </option>
                    <option value="15"> <?php _e( 'Order Tracking', 'woo2app' ); ?> </option>
                    <option value="16"> <?php _e( 'Call', 'woo2app' ); ?> </option>
                    <option value="17"> <?php _e( 'SMS', 'woo2app' ); ?> </option>
                    <option value="18"> <?php _e( 'Wallet', 'woo2app' ); ?> </option>
                    <option value="19"> <?php _e( 'Invite Friends', 'woo2app' ); ?> </option>
                    <option value="20"> <?php _e( 'Message Inbox', 'woo2app' ); ?></option>
                    <option value="21"> <?php _e( 'Vendors', 'woo2app' ); ?> </option>
                    <option value="22"> <?php _e( 'About', 'woo2app' ); ?> </option>
                    <option value="23"> <?php _e( 'Qr Code', 'woo2app' ); ?></option>
                    <option value="24"> <?php _e( 'Multi-Domain', 'woo2app' ); ?></option>
                    <option value="25"> <?php _e( 'Purchased Files', 'woo2app' ); ?></option>
                    <option value="26"> نوشته ها</option>
                    <option value="27"> دسته بندی نوشته ها</option>
                    <option value="28"> برچسب نوشته ها</option>
                    <option value="29"> خروج از اپلیکیشن</option>
                    <option value="30"> خانه </option>
                    <option value="31"> دسته بندی وبلاگ </option>
                </select>
                <div class="alert alert-danger hide padding-2px">
					<?php _e( 'Please select action.', 'woo2app' ); ?>
                </div>
            </td>
        </tr>
        <tr class="hide" id="product_list9">
            <th> <?php _e( 'Select Product', 'woo2app' ); ?> </th>
            <td>
                <select name="product9" data-id="product"
                        data-placeholder="<?php _e( 'Enter at least 3 characters', 'woo2app' ); ?>"
                        id="value_post_items_menu9"
                        class="js-data-example-ajax regular-text">
                </select>
            </td>
        </tr>
        <tr class="hide" id="category_list9">
            <th>  <?php _e( 'Select Category', 'woo2app' ); ?> </th>
            <td>
                <select id="value_cat_items_menu9"
                        class="js-example-basic-single regular-text"
                        data-live-search="true" title="<?php _e( 'Please Select ...', 'woo2app' ); ?>">
                    <option value="0"><?php _e( 'Choose your category', 'woo2app' ); ?></option>
					<?php
					$args = array(
						'hide_empty' => 0,
						'taxonomy'   => 'product_cat'
					);
					$cats = get_categories( $args );
					foreach ( $cats as $cat ) {
						?>
                        <option value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr class="hide" id="el_post9">
            <th scope="row" class="titledesc">
                <label> <?php _e( 'Post', 'woo2app' ); ?></label>
            </th>
            <td class="forminp">
                <select name="post" id="value_post_notif9" class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="el_post_cats9">
            <th scope="row" class="titledesc">
                <label> دسته بندی نوشته ها </label>
            </th>
            <td class="forminp">
                <select class="regular-text" name="post_cat" id="post_cat9">
					<?php
					foreach ( $post_cats as $cat ) {
						?>
                        <option class="text-right" value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr valign="top" class="hide" id="el_post_tags9">
            <th scope="row" class="titledesc">
                <label> برچسب های نوشته </label>
            </th>
            <td class="forminp">
                <select name="post" data-id="postTags" id="post_tag9"
                        class="regular-text js-data-example-ajax"></select>
            </td>
        </tr>
        <tr class="hide" id="link_list9">
            <th> <?php _e( 'Link', 'woo2app' ); ?> </th>
            <td>
                <input id="value_link_items_menu9" type="text" class="regular-text"
                       placeholder="{http | https}://yoursite.com">
            </td>
        </tr>
        <tr class="hide" id="tell_list9">
            <th> <?php _e( 'Phone', 'woo2app' ); ?> </th>
            <td>
                <input id="value_tell_items_menu9" type="text" class="regular-text"
                       placeholder="<?php _e( 'Phone Number', 'woo2app' ); ?>">
            </td>
        </tr>
        <tr class="hide" id="title_menu9">
            <th> <?php _e( 'Title', 'woo2app' ); ?> </th>
            <td>
                <input placeholder="<?php _e( 'Title', 'woo2app' ); ?>"
                       id="value_title_menu9" type="text" class="regular-text" value="<?= $profileIcon[0]->menu_title;?>">
            </td>
        </tr>
        <tr class="hide" id="inviter_help9">

            <th> <?php _e( 'Invitation Message', 'woo2app' ); ?>  </th>
            <td>
                    <textarea id="value_moaref_items_menu9" type="text"
                              class="regular-text"
                              placeholder="<?php _e( 'Enter Your Text', 'woo2app' ); ?> "></textarea>
                <p class="p_moaref_items_menu9">
                    <a href="https://apppash.com/woocommerce-marketing/"
                       target="_blank"> <?php _e( 'Guide', 'woo2app' ); ?> </a>
                </p>
            </td>
        </tr>
        <tr class="hide" id="custom_paragraph9">
            <th>
				<?php _e( 'About Content', 'woo2app' ); ?>
            </th>
            <td>
                    <textarea id="p_custom_paragraph9" type="text" class="regular-text"
                              placeholder="<?php _e( 'Enter Text', 'woo2app' ); ?>"></textarea>
            </td>
        </tr>
        <tr id="sort_product_list9" class="hide">
            <th> <?php _e( 'Sort', 'woo2app' ); ?> </th>
            <td>
                <select id="sort_product_value9" class="regular-text">
                    <option value=""> <?php _e( 'Default ', 'woo2app' ); ?></option>
                    <option value="orderby=popularity&order=DESC"> <?php _e( 'Popularity', 'woo2app' ); ?> </option>
                    <option value="orderby=date&order=DESC"> <?php _e( 'Newest', 'woo2app' ); ?> </option>
                    <option value="orderby=price&order=ASC"> <?php _e( 'Lowest price ', 'woo2app' ); ?></option>
                    <option value="orderby=price&order=DESC"> <?php _e( 'Highest price', 'woo2app' ); ?> </option>
                    <option value="orderby=selling&order=DESC"> <?php _e( 'Bestseller', 'woo2app' ); ?> </option>
                </select>
            </td>
        </tr>
        <tr class="hide" id="add_item_hami_div9">
            <th>
				<?php _e( 'Icon', 'woo2app' ); ?>
            </th>
            <td>
                <input type="hidden" id="txt_url_item_hami9" value="<?= $profileIcon[0]->menu_pic ?>"/>
                <img id="div_image_item_hami9" class="float-right" style="margin : 10px auto ; height : 100px  ; max-width : 200px"
                     src="<?= $profileIcon[0]->menu_pic ? $profileIcon[0]->menu_pic : WOO2APP_URL . "files/img/96x96&text=icon.png";?>"/>
                <div id="div_sel_pic_banner9">
                    <button id="btn_sel_pic_banner9"
                            type="button"
                            class="button button-primary float-right margin-top-45px margin-right-5px">
						<?php _e( 'Icon', 'woo2app' ); ?>
                    </button>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button id="btn_form_menu9" class="button button-primary">
					<?php _e( 'Add', 'woo2app' ); ?>
                </button>
                <img id="img_load9" class="hide width-height-25px"
                     src="<?php echo WP_PLUGIN_URL . "/" . dirname( plugin_basename( __FILE__ ) ) . '/../files/img/load.gif' ?>">
            </td>
        </tr>
    </table>
</div>

<?php
wp_enqueue_media();
wp_enqueue_script( 'upload_item_banner.js' . WOO2APP_FILES_VER, WOO2APP_JS_URL . 'upload_item_banner.js', array( 'jquery' ) );
wp_enqueue_script( 'woo2app_menu.js?ver=' . time(), WOO2APP_JS_URL . 'woo2app_menu.js', array( 'jquery' ) );
wp_enqueue_script( 'loadajax.js?ver=' . time(), WOO2APP_JS_URL . 'loadAjaxPosts.js', array( 'jquery' ) );
?>
<script type="text/javascript">
    jQuery(document).ready(function (){
        jQuery("#select_action_menu5").val('<?= $homeIcon[0]->menu_action ?>');
        changeSelectBox(5 , '<?= $homeIcon[0]->menu_action ?>');
        console.log('<?= $homeIcon[0]->menu_action ?>');

        jQuery("#select_action_menu6").val('<?= $categoryIcon[0]->menu_action ?>');
        changeSelectBox(6 , '<?= $categoryIcon[0]->menu_action ?>');
        console.log('<?= $categoryIcon[0]->menu_action ?>');

        jQuery("#select_action_menu7").val('<?= $basketIcon[0]->menu_action ?>');
        changeSelectBox(7 , '<?= $basketIcon[0]->menu_action ?>');
        console.log('<?= $basketIcon[0]->menu_action ?>');

        jQuery("#select_action_menu8").val('<?= $searchIcon[0]->menu_action ?>');
        changeSelectBox(8 , '<?= $searchIcon[0]->menu_action ?>');
        console.log('<?= $searchIcon[0]->menu_action ?>');

        jQuery("#select_action_menu9").val('<?= $profileIcon[0]->menu_action ?>');
        changeSelectBox(9 , '<?= $profileIcon[0]->menu_action ?>');
        console.log('<?= $profileIcon[0]->menu_action ?>');
    });
    function changeSelectBox(id , value){

        jQuery("#inviter_help" + id).addClass("hide");
        jQuery("#custom_paragraph" + id).addClass("hide");
        jQuery("#title_menu" + id).removeClass('hide');
        if (id === "") {
            jQuery("#add_item_hami_div1").removeClass('hide');
            jQuery("#div_image_item_hami1").removeClass('hide');
        } else {
            jQuery("#add_item_hami_div" + id).removeClass('hide');
            jQuery("#div_image_item_hami" + id).removeClass('hide');
            jQuery("#btn_sel_pic_banner" + id).removeClass('hide');
            jQuery("#div_image_item_hami" + id).removeClass('hide');
        }
        if (value == 1) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#product_list" + id).removeClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
        } else if (value == 2) {

            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#category_list" + id).removeClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
        } else if (value == 3) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#link_list" + id).removeClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
        } else if (value == 5) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).removeClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
        } else if (value == 16) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#tell_list" + id).removeClass("hide");
        } else if (value == 26) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#el_post" + id).removeClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
        } else if (value == 27) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#el_post_cats" + id).removeClass("hide");
        } else if (value == 28) {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).removeClass("hide");
        } else {
            jQuery("#product_list" + id).addClass("hide");
            jQuery("#category_list" + id).addClass("hide");
            jQuery("#el_post" + id).addClass("hide");
            jQuery("#link_list" + id).addClass("hide");
            jQuery("#sort_product_list" + id).addClass("hide");
            jQuery("#tell_list" + id).addClass("hide");
            jQuery("#el_post_cats" + id).addClass("hide");
            jQuery("#el_post_tags" + id).addClass("hide");
        }

        if (value == 22) {
            jQuery("#custom_paragraph" + id).removeClass("hide");
        }

        if (value == 19) {
            jQuery("#inviter_help" + id).removeClass("hide");
        }
        if (value == 0) {
            if (id == "") {
                jQuery("#add_item_hami_div1").addClass('hide');
                jQuery("#div_image_item_hami1").addClass('hide');
            } else {
                jQuery("#btn_sel_pic_banner" + id).addClass('hide');
                jQuery("#div_image_item_hami" + id).addClass('hide');
            }
            jQuery("#title_menu" + id).addClass('hide');
        }

    }

    jQuery('#add_item_hami_div5').on('click','#btn_sel_pic_banner5',function(e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami5').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami5').attr("src",url_image);
            jQuery('#div_image_item_hami5').css({'margin' : '10px auto' , 'height' : '100px'  , ' max-width' : '200px' });
            jQuery('#div_image_item_hami5').removeClass('hide');
        });
        custom_uploader_hami.open();
    });

    jQuery('#add_item_hami_div6').on('click','#btn_sel_pic_banner6',function(e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami6').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami6').attr("src",url_image);
            jQuery('#div_image_item_hami6').css({'margin' : '10px auto' , 'height' : '100px'  , ' max-width' : '200px' });
            jQuery('#div_image_item_hami6').removeClass('hide');
        });
        custom_uploader_hami.open();
    });

    jQuery('#add_item_hami_div7').on('click','#btn_sel_pic_banner7',function(e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami7').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami7').attr("src",url_image);
            jQuery('#div_image_item_hami7').css({'margin' : '10px auto' , 'height' : '100px'  , ' max-width' : '200px' });
            jQuery('#div_image_item_hami7').removeClass('hide');
        });
        custom_uploader_hami.open();
    });
    jQuery('#add_item_hami_div8').on('click','#btn_sel_pic_banner8',function(e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami8').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami8').attr("src",url_image);
            jQuery('#div_image_item_hami8').css({'margin' : '10px auto' , 'height' : '100px'  , ' max-width' : '200px' });
            jQuery('#div_image_item_hami8').removeClass('hide');
        });
        custom_uploader_hami.open();
    });
    jQuery('#add_item_hami_div9').on('click','#btn_sel_pic_banner9',function(e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami9').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami9').attr("src",url_image);
            jQuery('#div_image_item_hami9').css({'margin' : '10px auto' , 'height' : '100px'  , ' max-width' : '200px' });
            jQuery('#div_image_item_hami9').removeClass('hide');
        });
        custom_uploader_hami.open();
    });
</script>